Skip to main content
GET
/
v1
/
analytics
/
retention
/
cohorts
Get retention cohorts
curl --request GET \
  --url https://api.oneofnone.io/v1/analytics/retention/cohorts \
  --header 'x-api-key: <api-key>'
{
  "meta": [
    {
      "name": "<string>",
      "type": "<string>"
    }
  ],
  "data": [
    {
      "cohort_date": "<string>",
      "period": 123,
      "cohort_size": 123,
      "retained_users": 123,
      "retention_rate": 123
    }
  ],
  "rows": 123,
  "statistics": {
    "elapsed": 123,
    "rows_read": 123,
    "bytes_read": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

team_id
string
team_slug
string
team_ids
team_slugs
collection_id
string
collection_slug
string
collection_ids
date_from
string
date_to
string
aggregation
enum<string>
Available options:
daily,
weekly,
monthly
periods
integer
Required range: 1 <= x <= 12

Response

200 - application/json

Successful response

meta
object[]
required
data
object[]
required
rows
number
required
statistics
object
required